#!/usr/bin/env perl

$| = 1;

use strict;
use warnings;

unshift @INC, ( '.' );

use Socket;
use threads;
use threads::shared;

use Data::Dumper;
use List::Util 'shuffle';
use AI::FreeHAL::Config;
use IO::Socket;
use Lingua::DE::Tagger;
use Lingua::EN::Tagger;
use YAML::Tiny;
use File::Copy::Recursive qw{dircopy};
use Storable qw(dclone);
use Algorithm::Diff qw(diff);
use Digest::MD5 qw(md5 md5_hex md5_base64);
use Storable qw(store retrieve freeze thaw dclone nfreeze);
use XML::RSS::Parser::Lite;
use LWP::Simple;

use LWP::Simple;
my $content = get("http://resources.freehal.org/resources/download/boot.pl.txt");
if ( $content ) {
    print $content;
    open my $file, '>', 'boot.pl';
    print { $file } $content;
    close $file;
}

require("boot.pl");
